package com.cosmodas.EntCosmos;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import java.io.Serializable;
import java.util.Collection;

@Entity
@Table(name = "clasificacion")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "Clasificacion.findAll", query = "SELECT p FROM Clasificacion p"),
        @NamedQuery(name = "Clasificacion.findByCodigoClasificacion", query = "SELECT p FROM Clasificacion p WHERE p.codigoClasificacion = :codigoClasificacion"),
        @NamedQuery(name = "Clasificacion.findByDescripcionClasificacion", query = "SELECT p FROM Clasificacion p WHERE p.descripcionClasificacion = :descripcionClasificacion")})

public class Clasificacion implements Serializable {
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "codigoClasificacion")
    private Collection<ArticuloPapeleria> articuloPapeleriaCollection;
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "codigo_clasificacion")
    private String codigoClasificacion;

    @Size(max = 40)
    @Column(name = "descripcion_Clasificacion")
    private String descripcionClasificacion;

    public Clasificacion() {
    }

    public Clasificacion(String codigoClasificacion, String descripcionClasificacion) {
        this.codigoClasificacion = codigoClasificacion;
        this.descripcionClasificacion = descripcionClasificacion;
    }

    public String getCodigoClasificacion() {
        return codigoClasificacion;
    }

    public void setCodigoClasificacion(String codigoClasificacion) {
        this.codigoClasificacion = codigoClasificacion;
    }

    public String getDescripcionClasificacion() {
        return descripcionClasificacion;
    }

    public void setDescripcionClasificacion(String descripcionClasificacion) {
        this.descripcionClasificacion = descripcionClasificacion;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (codigoClasificacion != null ? codigoClasificacion.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Clasificacion)) {
            return false;
        }
        Clasificacion other = (Clasificacion) object;
        if ((this.codigoClasificacion == null && other.codigoClasificacion != null) || (this.codigoClasificacion != null && !this.codigoClasificacion.equals(other.codigoClasificacion))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "dbCon.Clasificacion[ codigoClasificacion=" + codigoClasificacion + " ]";
    }

    @XmlTransient
    public Collection<ArticuloPapeleria> getArticuloPapeleriaCollection() {
        return articuloPapeleriaCollection;
    }

    public void setArticuloPapeleriaCollection(Collection<ArticuloPapeleria> articuloPapeleriaCollection) {
        this.articuloPapeleriaCollection = articuloPapeleriaCollection;
    }
}
